Name:           python-scanpy
Version:        1.11.3
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Single-Cell Analysis in Python.

# Check if the automatically generated License and its spelling is correct for Fedora
# https://docs.fedoraproject.org/en-US/packaging-guidelines/LicensingGuidelines/
License:        BSD-3-Clause
URL:            https://scanpy.org
Source:         %{pypi_source scanpy}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'scanpy' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-scanpy
Summary:        %{summary}

%description -n python3-scanpy %_description

# For official Fedora packages, review which extras should be actually packaged
# See: https://docs.fedoraproject.org/en-US/packaging-guidelines/Python/#Extras
%pyproject_extras_subpkg -n python3-scanpy bbknn,dask,dask-ml,dev,doc,harmony,leiden,louvain,magic,paga,rapids,scanorama,scrublet,skmisc,test,test-min


%prep
%autosetup -p1 -n scanpy-%{version}


%generate_buildrequires
# Keep only those extras which you actually want to package or use during tests
%pyproject_buildrequires -x bbknn,dask,dask-ml,dev,doc,harmony,leiden,louvain,magic,paga,rapids,scanorama,scrublet,skmisc,test,test-min


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-scanpy -f %{pyproject_files}


%changelog
%autochangelog